package com.sunyard.chsm.model.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Date;

/**
 * @author liulu
 * @since 2024/11/11
 */
@Data
@TableName("sp_ca_cert")
public class CaCert {

    private Long id;
    private String caName;
    private String caUrl;
    // SM2, RSA
    private String keyAlg;
    private String status;
    private String subject;
    private String serialNumber;
    private String issuerDn;
    private Date notBefore;
    private Date notAfter;
    private String pubKey;

    private String certText;

    private String remark;
    private LocalDateTime createTime;
    private LocalDateTime updateTime;



}
