package com.sunyard.chsm.dto;

import lombok.Data;

import java.util.List;

/**
 * @author liulu
 * @since 2024/10/16
 */
@Data
public class ApiGroupDTO {
    /**
     * API分组标识
     */
    private String groupCode;
    /**
     * API分组名称
     */
    private String groupName;
    /**
     * API列表
     */
    private List<Api> apiList;


    @Data
    public static class Api {
        /**
         * API标识
         */
        private String code;
        /**
         * API名称
         */
        private String name;
    }

}
